#
# spec file for package dump (Version 0.4b23)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  e2fsprogs-devel readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dump
Copyright:    BSD
Group:        Utilities/Archiving
Autoreqprov:  on
Version:      0.4b23
Release:      65
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-traverse-fix.patch
#Patch1:       dump-lfs.patch
#Patch2:       ino_t.patch
URL:          http://dump.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A backup program

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.

Authors:
--------
    Remy Card <Remy.Card@freenix.fr>
    Stelian Pop <pop@cybercable.fr>

SuSE series: ap

%prep
%setup
#mkdir ext2fs
#sed -e "s|ino_t|__ino_t|g" /usr/include/ext2fs/ext2fs.h >ext2fs/ext2fs.h
%patch
%patch1
#%patch1 -p1
#%patch2
%{suse_update_config}

%build
%define prefix   /usr
%define sysconfdir /etc
aclocal
autoconf
CFLAGS="-g" \
CXXFLAGS="g" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
		--sbindir=/sbin \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir} \
                --enable-rmt \
		--with-ldopts="-s" \
                --with-ccopts="-I$PWD -Wall" \
                --with-binowner=root \
		--with-bingrp=root \
		--with-binmode=0755 \
	        --with-manowner=root \
		--with-mangrp=root \
		--with-manmode=0644 \
		--enable-largefile
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/etc \
           $RPM_BUILD_ROOT/sbin \
           $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT/ install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc %{_mandir}/*/*
/sbin/*

%changelog -n dump
* Fri Aug 17 2001 - nadvornik@suse.cz
- added fix for traverse.c
* Thu Aug 16 2001 - ro@suse.de
- up to 0.4b23 to make it build with new e2fsprogs
* Tue Feb 27 2001 - nadvornik@suse.cz
- update to 0.4b21
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 22 2001 - schwab@suse.de
- Fix missing includes.
- Replace ino_t by __ino_t instead of unsigned int.
- Don't kill entire process group on crash.
* Fri Feb 09 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Thu Jan 11 2001 - nadvornik@suse.cz
- added lfs patch
* Tue Dec 05 2000 - smid@suse.cz
- path to rmt changed [#4306]
* Sun Dec 03 2000 - smid@suse.cz
- new version 0.4b20
* Thu Nov 09 2000 - ro@suse.de
- fixed neededforbuild
* Fri Sep 29 2000 - smid@suse.cz
- new version 0.4b19
* Fri Apr 07 2000 - smid@suse.cz
- upgrade to 0.4b16
- buildroot added
* Thu Mar 02 2000 - kukuk@suse.de
- Update to version 0.4b15 and correct security fix
* Thu Feb 10 2000 - kukuk@suse.de
- Update to version 0.4b14
* Sun Jan 30 2000 - kukuk@suse.de
- Update to version 0.4b13
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - kukuk@suse.de
- Update to version 0.4b11 (BUG #1448)
- Fix dump manual page (BUG #1367)
* Sat Nov 13 1999 - kukuk@suse.de
- Compile without ext2fs progs, but use ext2fs development package
* Mon Nov 08 1999 - kukuk@suse.de
- Security update for dump to 0.4b9
* Fri Oct 29 1999 - ro@suse.de
- fixed spec for e2fsprogs-1.17
* Mon Oct 25 1999 - ro@suse.de
- fixed spec for e2fsprogs-1.16
* Mon Oct 18 1999 - kukuk@suse.de
- Update to version 0.4b7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 31 1999 - ro@suse.de
- changed for e2fsprogs-1.15 / only do install-lib
* Sat Jun 26 1999 - kukuk@suse.de
- Update to dump 0.4b4
* Tue Sep 01 1998 - ro@suse.de
- use e2fsprgs-1.12-sources / dont use -lbsd
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
  minor patch in dump/traverse.c
* Thu Jan 02 1997 - florian@suse.de
- recompile to use newer and static ext2 libraries
